<script setup lang="ts">
import BigSunIcon from '@/components/icons/BigSunIcon.vue';
import { socialLinks } from '@/constants/links';
import { cn } from '@/lib/utils';
import { useUiSidebarStore } from '@/stores/ui/sidebar';

const store = useUiSidebarStore();
const year = new Date().getFullYear();
</script>

<template>
  <div class="flex flex-col gap-[70px]">
    <div :class="cn('flex items-center justify-evenly', !store.isOpen && 'flex-col gap-[50px]')">
      <a v-for="{ to, is } in socialLinks" :key="to" :href="to" target="_blank">
        <component :is="is" v-motion-fade :class="cn(!store.isOpen && 'w-[22px] h-[22px]')" />
      </a>
    </div>
    <BigSunIcon v-if="store.isOpen" v-motion-fade class="self-center" />
    <div
      v-if="store.isOpen"
      v-motion-fade
      class="flex items-center justify-between font-arimo text-[14px] font-bold"
    >
      <span>Copyright {{ year }}</span>
      <span>All right reserved</span>
    </div>
  </div>
</template>
